<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

if ($activeModules['Pages']['custom_fields'] && ( 
    ($activeModules['Pages']['source'] == 'rubric' && $_POST['source_rubric_id']==0) || 
    ($activeModules['Pages']['source'] == 'page' && $_POST['cpoPageUsing'][$_REQUEST['id']]==0) 
    ) )  {
	$missingData = false;
	$fields = explode("\n", $activeModules['Pages']['custom_fields']);
	foreach($fields AS $field)
	{	
		$fieldset = explode(";", $field);
		if (empty($_POST['cpoRubricSettings'][$fieldset[0]]) && $fieldset[1]==1) {
			$message[] = sprintf(__('Please fill in the field <i>%s</i>.'),$fieldset[0]);
			$missingData = true;
		}
	}
	if ($missingData)  {
		$message[] = __('The module settings were not saved yet!');
		$views = array('settings');
		if ($nextaction=='rubrics_createnew') $views = array('create');
	}
}
?>