<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

if ($activeModules['Pages']['showTemplates'] == 'yes')
{
?>

<script type="text/javascript"><!--

var whichColor = '';


function openDialog(URL, name, width, height, parameters)
{
    // set some defaults if not given
    if (!name)   name   = '';
    if (!width)  width  = screen.width/2;
    if (!height) height = screen.height/2;
    if (!parameters) parameters = 'scrollbars=no, resizable=yes';

    xOffset = (screen.width  - width)/2;
    yOffset = (screen.height - height)/2;

    newwindow = window.open(URL, name, 'width='+width+', height='+height+', top='+yOffset+', left='+xOffset+', '+parameters);
    return newwindow;
}

function pickedColor(color)
{
	if (!color) return;
	eval('document.vars.'+whichColor+'.value="'+color+'";');
	eval('document.vars.'+whichColor+'_show.style.backgroundColor="'+color+'";');
}

function getPickedColor()
{
	return eval(whichColor+'.value;');
}

function colorize()
{
	document.getElementById('actual_hover_show').style.backgroundColor = document.getElementById('actual_hover').value;
}

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+200+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-200+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php
echo '<div class="header"><h3>'.__('Rubric template').'</h3>';
echo __('The following template allows individual designs for a single rubric. It is processed between the global header and the content and between the content and the global footer.').'</div>';

// ******** RUBRIC TEMPLATES ***************

	if (isset($_POST['cpoPageUsing']))  {  // saving
		$k = $_REQUEST['id'];
		$query = sprintf(
			 "REPLACE INTO ".$dbPrefix."_mod_pages (id, header, footer, css, def_rubric, use_rubric) VALUES ('%s', '%s', '%s', '%s', '%s', '%s')", 
			$k,
			addslashes($_POST['cpoPageHeader'][$k]),
			addslashes($_POST['cpoPageFooter'][$k]),
			addslashes($_POST['cpoPageCSS'][$k]),
			addslashes($_POST['cpoPageDefault'][$k]),
			addslashes($_POST['cpoPageUsing'][$k])
		);
		DEBUG(1, $query, __FILE__, __LINE__);
		$db = new DB;
		$db->query($query);
	}

	$query = "SELECT * FROM ".$dbPrefix."_mod_pages where id='".addslashes($_REQUEST['id'])."' and id > '0' "; 
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);
    while ($db->next_record()):
		$local_id = htmlentities($db->v('id'), ENT_COMPAT, 'ISO-8859-15');
		$local_header = htmlentities($db->v('header'), ENT_COMPAT, 'ISO-8859-15');
		$local_footer = htmlentities($db->v('footer'), ENT_COMPAT, 'ISO-8859-15');
		$local_css = htmlentities($db->v('css'), ENT_COMPAT, 'ISO-8859-15');
		$local_default = htmlentities($db->v('def_rubric'), ENT_COMPAT, 'ISO-8859-15');
		$local_using = htmlentities($db->v('use_rubric'), ENT_COMPAT, 'ISO-8859-15');
	endwhile;

	$query = "SELECT id, name FROM ".$dbPrefix."_rubric";  // the globals
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);
    while ($db->next_record()):
		$rubric_id[] = htmlentities($db->v('id'), ENT_COMPAT, 'ISO-8859-15');
		$rubric_names[$db->v('id')] = htmlentities($db->v('name'), ENT_COMPAT, 'ISO-8859-15');
	endwhile;

	$query = "SELECT id FROM ".$dbPrefix."_mod_pages WHERE def_rubric = 1 AND use_rubric = 0";  // the defaults
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);
    while ($db->next_record()):
		$def_rubrics_id[] = htmlentities($db->v('id'), ENT_COMPAT, 'ISO-8859-15');
		$def_rubrics_name[] = htmlentities($rubric_names[$db->v('id')], ENT_COMPAT, 'ISO-8859-15');
	endwhile;
	
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>' . __('Header and footer template:') . '</span></th>';

		echo '</tr></thead><tbody>';
        // }}}
	if ($local_using != 0) echo "\n<!--\n";
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Rubric header:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="10" class="text inputwidth" name="cpoPageHeader['.$local_id.']" id="cpoPageHeader'.$local_id.'" style="width: 95%; height: 50px;">'.$local_header.'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'cpoPageHeader'.$local_id.'\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Rubric footer:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="10" class="text inputwidth" name="cpoPageFooter['.$local_id.']" id="cpoPageFooter'.$local_id.'" style="width: 95%; height: 50px;">'.$local_footer.'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'cpoPageFooter'.$local_id.'\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Rubric CSS:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea rows="10" class="text inputwidth" name="cpoPageCSS['.$local_id.']" id="cpoPageCSS'.$local_id.'" style="width: 95%; height: 50px;">'.$local_css.'</textarea>';
            echo '<br /><a href="#" onClick="textarea(\'cpoPageCSS'.$local_id.'\', this);return false" id="lnk">'.__('enlarge').'</a>';
            echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Use as sample:');
            echo '</td>';
            echo '<td class="rightrow">';
 			$yes_selected = '';
			$no_selected = '';
			if ($local_default == '1')  $yes_selected = ' selected="selected"';
			if ($local_default == '0')  $no_selected = ' selected="selected"';
            echo '<select name="cpoPageDefault['.$local_id.']">';
			echo '<option value="0"'.$no_selected.'>'.__('no').'</option>';
			echo '<option value="1"'.$yes_selected.'>'.__('yes').'</option>';
            echo '</select>';
           echo '</td>';
		echo '</tr>';
	if ($local_using != 0) echo "\n-->\n";

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Use template of:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<select name="cpoPageUsing['.$local_id.']">';
			$own_selected = ($local_using == 0) ? ' selected="selected"': '';
			echo '<option value="0"'.$own_selected.'>'.__('own').'</option>';
			for ($i=0;$i<count($def_rubrics_id);$i++)  {
				$selected = ($local_using == $def_rubrics_id[$i]) ? ' selected="selected"': '';
				if ($local_id != $def_rubrics_id[$i]) echo '<option value="'.$def_rubrics_id[$i].'"'.$selected.'>'.$def_rubrics_name[$i].'</option>';
			}
            echo '</select>';
           echo '</td>';
		echo '</tr>';

?>
		
		
		<tr>
            <td class="leftrow">&nbsp;</td>
            <td class="rightrow">
                <input type="submit" class="button" value="<?php echo ___('save'); ?>">
            </td>
        </tr>
        </tbody></table>
<?php
}
?>

<?php
echo '<div class="header"><h3>'.__('Extended rubric settings').'</h3>';
echo __('The following settings allow either the use of the settings of a source rubric or individual settings.').'</div>';

if ($activeModules['Pages']['custom_fields'] && 
	(	$activeModules['Pages']['source'] == 'individual' || 
		($activeModules['Pages']['source'] == 'rubric') && $_POST['source_rubric_id']==0) ||
		($activeModules['Pages']['source'] == 'page' && $local_using == 0)
	)  {
?>

		<table class="colored" style="width: 100%"><thead><tr>
            <th colspan="2"><span><?php echo __('Custom rubric settings'); ?></span></th>
        </tr></thead><tbody>

<?php
		
			$fields = explode("\n", $activeModules['Pages']['custom_fields']);
			foreach($fields AS $field)
			{	
				$fieldset = explode(";", $field);
                if (!isset($_POST['cpoRubricSettings'][$fieldset[0]])) $_POST['cpoRubricSettings'][$fieldset[0]] = $t_cpoRubricSettings[$fieldset[0]];
				echo '<tr>';
					echo '<td class="leftrow">';
					echo $fieldset[0].($fieldset[1]==1 ? ' ('.__('necessary').')<input type="hidden" name="personal_necessary[]" value="'.$fieldset[0].'" />' : '');
					echo '</td>';
					echo '<td class="rightrow">';
					switch (strtolower($fieldset[2])) {
						case 'color':
							echo '<input type="text" class="text" id="actual_hover" name="var['.$fieldset[0].']" value="'.$var_content[$fieldset[0]].'" size="7" onchange="colorize();"><input type="text" class="text" id="actual_hover_show" size="1" value="" style="cursor:hand; width=20px" readonly onClick="whichColor=\'actual_hover\'; openDialog(\'../_editor/colorpicker.php\', \'\', 530, 285)">';
							break;
						case 'select':
							$values = explode (",", trim($fieldset[3]));
							echo '<select name="cpoRubricSettings['.$fieldset[0].']">';
							foreach ($values AS $v)  {
								$selected = ($_POST['cpoRubricSettings'][$fieldset[0]]==$v) ? ' selected="selected"' : '';
								echo '<option value="'.$v.'"'.$selected.'>'.$v.'</option>';
							}
							echo '</select>';
							break;
						case 'option':
							$values = explode (",", trim($fieldset[3]));
							foreach ($values AS $v)  {
								$checked = ($_POST['cpoRubricSettings'][$fieldset[0]]==$v) ? ' checked="checked"' : '';
								echo '<input type="radio" name="cpoRubricSettings['.$fieldset[0].']" id="'.$v.'" value="'.$v.'"'.$checked.' /> <label for="'.$v.'">'.$v.'</label><br />';
							}
							break;
						case 'checkbox':
							$checked = ($_POST['cpoRubricSettings'][$fieldset[0]]) ? ' checked="checked"' : '';
							echo '<input type="checkbox" name="cpoRubricSettings['.$fieldset[0].']" value="1"'.$checked.' />';
							break;
						case 'text':
							echo '<input type="text" class="text" name="cpoRubricSettings['.$fieldset[0].']" value="'.$_POST['cpoRubricSettings'][$fieldset[0]].'" size="'.trim($fieldset[3]).'" maxlength="'.trim($fieldset[3]).'" />';
							break;
						default:
							echo '<input type="text" class="text inputwidth" name="cpoRubricSettings['.$fieldset[0].']" value="'.$_POST['cpoRubricSettings'][$fieldset[0]].'" maxlength="255" />';
							break;
					}
					echo '</td>';
				echo '</tr>';
			}
?>
		
		
		<tr>
            <td class="leftrow">&nbsp;</td>
            <td class="rightrow">
                <input type="submit" class="button" value="<?php echo ___('save'); ?>">
                <input type="submit" class="button" name="backtolist" value="<?php echo ___('save and go back to rubric list'); ?>">
            </td>
        </tr>
        </tbody></table>
		<script type="text/javascript"><!--
			colorize();
		//--> </script>
<?php
}
?>
