<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

if (!defined('CPO')) exit;

// Seiten-Template-Tabelle erzeugen
$query = "DROP TABLE IF EXISTS ".$dbPrefix."_mod_pages;";
$db->query($query);
$query = "CREATE TABLE ".$dbPrefix."_mod_pages (
            id int(11) NOT NULL default '0',
            header text NOT NULL,
            footer text NOT NULL,
            css text NOT NULL,
            def_rubric tinyint(1) NOT NULL default '0',
            use_rubric varchar(255) NOT NULL default '',
            PRIMARY KEY  (id)
            ) ";
$db->query($query);

$global_header_file = CPO_BASEDIR.'_cfg/global_header.php';
$global_footer_file = CPO_BASEDIR.'_cfg/global_footer.php';
$global_css_file    = CPO_BASEDIR.'_cfg/style.css';

if (!file_exists($global_header_file) || !is_readable($global_header_file)) $global_header_file .= '.dist'; 
if (!file_exists($global_footer_file) || !is_readable($global_footer_file)) $global_footer_file .= '.dist'; 
if (!file_exists($global_css_file)    || !is_readable($global_css_file))    $global_css_file .= '.dist'; 

if (file_exists($global_header_file) && is_readable($global_header_file)) {
	$handle = fopen ($global_header_file, "rb");
	$global_header = fread ($handle, filesize ($global_header_file));
	fclose ($handle);
}
if (file_exists($global_footer_file) && is_readable($global_footer_file)) {
	$handle = fopen ($global_footer_file, "rb");
	$global_footer = fread ($handle, filesize ($global_footer_file));
	fclose ($handle);
}
if (file_exists($global_css_file) && is_readable($global_css_file)) {
	$handle = fopen ($global_css_file, "rb");
	$global_css = fread ($handle, filesize ($global_css_file));
	fclose ($handle);
}

$query = "INSERT INTO ".$dbPrefix."_mod_pages VALUES (0, '"
           .addslashes($global_header)."', '"
           .addslashes($global_footer)."', '"
           .addslashes($global_css)."', 0, '')";
$db->query($query);

$GLOBALS['message'][] = __('The existing global header, footer and css file got imported.');

?>