<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

// This is the language file for the backend pages

$translation = array(

// Edit
'Page templates'
=> 'Seiten-Templates',
'In this view you can work on the page and rubric headers and footers.'
=> 'In dieser Ansicht knnen Sie die Seiten und Rubrik-Templates bearbeiten.',
'Page header and footer'
=> 'Seiten-Kopf und -Fuss',
'Global header:'
=> 'Seiten-Kopf:',
'Global footer:'
=> 'Seiten-Fuss:',
'Global CSS:'
=> 'Seiten-CSS:',
'Save global templates'
=> 'Seiten-Template speichern',
'Header and footer of rubric:'
=> 'Kopf und Fuss der Rubrik:',
'Rubric header:'
=> 'Rubrik-Kopf:',
'Rubric footer:'
=> 'Rubrik-Fuss:',
'Rubric CSS:'
=> 'Rubrik-CSS:',
'enlarge'
=> 'vergrern',
'reduce'
=> 'verkleinern',
'Use as sample:'
=> 'Als Vorlage nutzen:',
'Use template of:'
=> 'Nutzt die Vorlage:',
'Save rubric templates of rubric '
=> 'Rubrik-Template speichern von ',
'Not in navigation'
=> 'nicht in der Navigation',
'Template settings were updated!'
=> 'Template-Einstellungen wurden gespeichert!',
'Module settings were updated!'
=> 'Die Moduleinstellungen wurden gespeichert!',
'own'
=> '-eigenes Template-',
'Page module settings'
=> 'Seiten-Template-Modul-Einstellungen',
'In this view you can work on the page module settings.'
=> 'In dieser Ansicht knnen Sie die Moduleinstellungen bearbeiten.',
'GZIP Encoding'
=> 'GZIP-Komprimierung',
'Use GZIP compression:'
=> 'GZIP-Komprimierung aktivieren:',
'Create META-Tag strings:'
=> 'META-Tags erzeugen:',
'Save module settings'
=> 'Modul-Einstellungen speichern',
'Load template'
=> 'Vorlage laden',
'Template base:'
=> 'Vorlage:',
'Do you really want to reset all design settings to the chosen template?'
=> 'Wollen Sie wirklich alle Einstellungen mit denen der Vorlage berschreiben?',
'reload'
=> 'neu laden',
'Using the reset option resets all your individual settings to the defaults by reloading the chosen template!'
=> 'Das Nutzen dieser Option lscht alle Einstellungen und ersetzt sie durch die der gewhlten Vorlage!',
'Rubric templates'
=> 'Rubrik Templates',
'Rubric template'
=> 'Rubrik Template',
'The following templates allow individual designs for a single or even each rubric. They are processed between the global header and the content and between the content and the global footer. For completly different appearences leave the page header and footer empty and use only the rubric templates. In other words: everything that stays the same on each page of your website should be placed in the section above, everything individual in the section below this text.'
=> 'Die folgenden Templates erlauben individuelle Gestaltungen einer oder auch aller Rubriken. Sie werden zwischen dem Seiten-Kopf und dem Seiteninhalt sowie zwischen dem Seiteninhalt und dem Seiten-Fuss verarbeitet. Um vollstndig unterschiedliche Gestaltungen zu erreichen lassen sie einfach Seiten-Kopf und -Fuss leer und nutzen nur die Rubrik-Templates. In anderen Worten: Alles was auf jeder Seite gleich sein soll kommt in Seiten-Kopf und -Fuss, alles Individuelle in den Bereich nach diesem Text.',
'choose'
=> 'whlen',
'The following template allows individual designs for a single rubric. It is processed between the global header and the content and between the content and the global footer.'
=> 'Das folgende Template erlaubt individuelle Gestaltungen einer Rubrik. Sie wird zwischen dem Seiten-Kopf und dem Seiteninhalt sowie zwischen dem Seiteninhalt und dem Seiten-Fuss verarbeitet.',
'Header and footer template:'
=> 'Kopf und Fuss:',
'Custom settings fields definition:'
=> 'Benutzerdefinierte Rubrikeinstellungen Felddefinition:',
'Custom rubric settings'
=> 'Benutzerdefinierte Rubrikeinstellungen',
'Show templates in rubric settings:'
=> 'Rubriktemplates in den Rubrikeinstellungen anzeigen:',
'Module settings'
=> 'Moduleinstellungen',
'The custom preset was successfully deleted'
=> 'Die benutzerdefinierte Voreinstellung wurde gelscht',
'The custom preset was successfully loaded'
=> 'Die benutzerdefinierte Voreinstellung wurde geladen',
'Save template'
=> 'Voreinstellung speichern',
'Template name:'
=> 'Name der Voreinstellung:',
'Save custom preset'
=> 'Voreinstellung speichern',
'load custom preset'
=> 'Voreinstellung laden',
'delete custom preset'
=> 'Voreinstellung lschen',
'necessary'
=> 'erforderlich',
'The module settings were not saved yet!'
=> 'Die Moduleinstellungen wurden noch nicht gespeichert!',
'Please fill in the field <i>%s</i>.'
=> 'Bitte fllen Sie das Feld <i>%s</i> aus.',
'Template was saved as preset!'
=> 'Das Template wurde als Voreinstellung gespeichert!',
'Do you really want to load this preset?'
=> 'Wollen Sie wirklich diese Voreinstellung laden?',
'Do you really want to delete this preset?'
=> 'Wollen Sie wirklich diese Voreinstellung lschen?',
'Warning: '
=> 'Warnung: ',
'No header infomation for this template available!'
=> 'In dieser Voreinstellung sind keine Kopf-Informationen verfgbar!',
'No footer infomation for this template available!'
=> 'In dieser Voreinstellung sind keine Fuss-Informationen verfgbar!',
'No css infomation for this template available!'
=> 'In dieser Voreinstellung sind keine CSS-Informationen verfgbar!',
'Code comments:'
=> 'Code kommentieren:',
'Source binding:'
=> 'Anbindung an Quelle:',
'rubric settings'
=> 'Rubrikeinstellungen',
'rubric page template'
=> 'Vorlage (mod_pages)',
'The following settings allow either the use of the settings of a source rubric or individual settings.'
=> 'Die folgenden Einstellungen erlauben entweder die Nutzung der Einstellungen einer Quellrubrik oder individueller Einstellungen.',
'META-Tag dividers:'
=> 'META-Tag Trennzeichen:',
'Titles:'
=> 'Titel:',
'Authors:'
=> 'Autoren:',
'Comments:'
=> 'Kommentare:',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',
'english'
=> 'deutsch',

'english'
=> 'deutsch',

'yes'
=> 'ja',
'no'
=> 'nein'
)
?>