<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

if (isset($activeModules['Pages']))  {
	// GZIP
	$do_gzip_compress = FALSE;
	if ( $activeModules['Pages']['gzip'] == 'yes')  {
		$phpver		= phpversion();
		$useragent	= (isset($_SERVER["HTTP_USER_AGENT"]) ) ? $_SERVER["HTTP_USER_AGENT"] : $HTTP_USER_AGENT;
		if ( $phpver >= '4.0.4pl1' && ( strstr($useragent,'compatible') || strstr($useragent,'Gecko') ) )  {
			if ( extension_loaded('zlib') )  ob_start('ob_gzhandler');
		} else if ( $phpver > '4.0' ) {
			if ( strstr($HTTP_SERVER_VARS['HTTP_ACCEPT_ENCODING'], 'gzip') ) {
				if ( extension_loaded('zlib') ) {
					$do_gzip_compress = TRUE;
					ob_start();
					ob_implicit_flush(0);
					header('Content-Encoding: gzip');
	}	}	}	}

	function pagesDebugComments($string)  {
		echo "\n\n<!-- =============================== ".$string." ================================ (by mod_pages) -->\n\n";
	}

	// Seitenausgabe ********************************************************
	include(CPO_BASEDIR.$activeModules['Pages']['directory'].'/includes/pages_data.inc.php');

	$code = $global_header;
	include(CPO_BASEDIR.$activeModules['Pages']['directory'].'/includes/parser.inc.php');
	if ( $activeModules['Pages']['debug'] == 'yes')  pagesDebugComments('End of global header');

	if ( $activeModules['Pages']['debug'] == 'yes')  pagesDebugComments('Start of local header / rubric: '.$cpoRubric['name']);
	$code = $local_header;
	include(CPO_BASEDIR.$activeModules['Pages']['directory'].'/includes/parser.inc.php');
	if ( $activeModules['Pages']['debug'] == 'yes')  pagesDebugComments('End of local header / rubric: '.$cpoRubric['name']);
}
?>