<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');
$help = $activeModules['Pages']['help'];

// Sprache
//$directory = basename(dirname($_SERVER['PHP_SELF'])); 
//$translator->addTranslation('pages',CPO_BASEDIR.$directory.'/lang');

include('includes/actions.inc.php');

?>

<script type="text/javascript"><!--

function textarea (boxid, link){ 
	var t=document.getElementById(boxid); 
	if(link.innerHTML=='<?php echo __('enlarge'); ?>'){ 
		t.style.height = t.offsetHeight+200+"px"; 
		link.innerHTML='<?php echo __('reduce'); ?>'; 
	} else{ 
		t.style.height = t.offsetHeight-200+"px"; 
		link.innerHTML='<?php echo __('enlarge'); ?>'; 
	} 
} 

//--> </script>

<?php

// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');
include(CPO_BASEDIR.$directory.'/includes/producer.inc.php');




		printPageHeader(
			__('Page module settings'),
			__('In this view you can work on the page module settings.'),
			tocPagesHelp('settings','pages'),
			true,
			'modules'
		);

		require(CPO_BASEDIR."_include/message.php");

		echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="modulesettings">';
		echo '<input type="hidden" name="save" value="1">';
		echo '<input type="hidden" name="list" value="options">';

        include(CPO_BASEDIR.$directory.'/includes/license.inc.php');
 
// ******** GLOBAL TEMPLATES ***************
		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Module settings').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Use GZIP compression:');
            echo '</td>';
            echo '<td class="rightrow">';
 			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Pages']['gzip'] == 'yes')  $yes_selected = ' selected="selected"';
			if ($activeModules['Pages']['gzip'] == 'no')  $no_selected = ' selected="selected"';
            echo '<select name="cpoPagesNew[gzip]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
           echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Create META-Tag strings:');
            echo '</td>';
            echo '<td class="rightrow">';
 			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Pages']['meta-tags'] == 'yes')  $yes_selected = ' selected="selected"';
			if ($activeModules['Pages']['meta-tags'] == 'no')  $no_selected = ' selected="selected"';
            echo '<select name="cpoPagesNew[meta-tags]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
           echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('META-Tag dividers:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo __('Titles:').'&nbsp;';
            echo '<input type="text" class="text" name="cpoPagesNew[divTitles]" value="'.htmlspecialchars($activeModules['Pages']['divTitles'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255" size="5">';
            echo ' &nbsp; '.__('Authors:').'&nbsp;';
            echo '<input type="text" class="text" name="cpoPagesNew[divAuthors]" value="'.htmlspecialchars($activeModules['Pages']['divAuthors'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255" size="5">';
            echo ' &nbsp; '.__('Keywords:').'&nbsp;';
            echo '<input type="text" class="text" name="cpoPagesNew[divKeywords]" value="'.htmlspecialchars($activeModules['Pages']['divKeywords'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255" size="5">';
            echo ' &nbsp; '.__('Comments:').'&nbsp;';
            echo '<input type="text" class="text" name="cpoPagesNew[divComments]" value="'.htmlspecialchars($activeModules['Pages']['divComments'], ENT_COMPAT, 'ISO-8859-15').'" maxlength="255" size="5">';
           echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Custom settings fields definition:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<textarea style="width: 95%; height: 100px;" id="custom_fields" class="text inputwidth" name="cpoPagesNew[custom_fields]">'.$activeModules['Pages']['custom_fields'].'</textarea>';
            echo '<br />';
            echo __('Syntax: fieldname[;required(0|1)[;type(text|select|option|checkbox);size|values(a,b,c,...)]] + LF/CR');
			echo '<br /><a href="#" onClick="textarea(\'custom_fields\', this);return false" id="lnk">'.__('enlarge').'</a>';
			echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Source binding:');
            echo '</td>';
            echo '<td class="rightrow">';
 			$individual_selected = '';
 			$rubric_selected = '';
			$page_selected = '';
			if ($activeModules['Pages']['source'] == 'individual')  $individual_selected = ' selected="selected"';
			if ($activeModules['Pages']['source'] == 'rubric')  $rubric_selected = ' selected="selected"';
			if ($activeModules['Pages']['source'] == 'page')  $page_selected = ' selected="selected"';
            echo '<select name="cpoPagesNew[source]">';
			echo '<option value="individual"'.$individual_selected.'>'.__('individual settings').'</option>';
			echo '<option value="rubric"'.$rubric_selected.'>'.__('rubric settings').'</option>';
			echo '<option value="page"'.$page_selected.'>'.__('rubric page template').'</option>';
            echo '</select>';
           echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Show templates in rubric settings:');
            echo '</td>';
            echo '<td class="rightrow">';
 			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Pages']['showTemplates'] == 'yes')  $yes_selected = ' selected="selected"';
			if ($activeModules['Pages']['showTemplates'] == 'no')  $no_selected = ' selected="selected"';
            echo '<select name="cpoPagesNew[showTemplates]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
           echo '</td>';
		echo '</tr>';
		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Code comments:');
            echo '</td>';
            echo '<td class="rightrow">';
 			$yes_selected = '';
			$no_selected = '';
			if ($activeModules['Pages']['debug'] == 'yes')  $yes_selected = ' selected="selected"';
			if ($activeModules['Pages']['debug'] == 'no')  $no_selected = ' selected="selected"';
            echo '<select name="cpoPagesNew[debug]">';
			echo '<option value="yes"'.$yes_selected.'>'.__('yes').'</option>';
			echo '<option value="no"'.$no_selected.'>'.__('no').'</option>';
            echo '</select>';
           echo '</td>';
		echo '</tr>';

		echo '<tr>';
            echo '<td class="leftrow">';
            echo '&nbsp;';
            echo '</td>';
            echo '<td class="rightrow">';
            echo '<input type="submit" class="button" value="'.__('Save module settings').'">';
            echo '</td>';
		echo '</tr>';

		echo '</tbody></table>';

		echo '</form>';

// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>