<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Pages"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

Version 4.1 / March 2013

*/

if ( $activeModules['Pages']['meta-tags'] == 'yes' && $cpoRubric['id'])  {
    // creating meta-tags
    if (!isset($_REQUEST['pos']) || $_REQUEST['pos']<0) $_REQUEST['pos'] = 0;
    if (!isset($cpoRubricSettings['sorting'])) $cpoRubricSettings['sorting'] = 'ASC';
    if (!isset($cpoRubricSettings['noOfArticles'])) $cpoRubricSettings['noOfArticles'] = 10;
    $now = time();
    $query = (!isset($_REQUEST['nr'])) ? "SELECT keywords, commentary, titel, autor FROM ".CPO_NEWS." WHERE artikel_archiv<2 AND freigabe=".STATE_RELEASED." AND pub_datum<='".date('Y-m-d H:i:s', $now)."' AND verfallsdatum>='".date('Y-m-d H:i:s', $now)."' AND rubric_id='".addslashes($cpoRubric['id'])."' ORDER BY ".$cpoRubricSettings['sorting']." LIMIT ".$_REQUEST['pos'].",".$cpoRubricSettings['noOfArticles'] : "SELECT keywords, commentary, titel, autor FROM ".CPO_NEWS." WHERE nr='".$_REQUEST['nr']."'" ;
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);
    $artikel_anzahl = $db->num_rows();

    while($db->next_record()):
        if ($db->v('autor') != '')		$authors[ htmlspecialchars($db->v('autor'), ENT_COMPAT, 'ISO-8859-15')]	= 1;
        if ($db->v('keywords') != '')	$keywords[]	=  htmlspecialchars($db->v('keywords'), ENT_COMPAT, 'ISO-8859-15');
        if ($db->v('commentary') != '') $commentary[]	=  htmlspecialchars($db->v('commentary'), ENT_COMPAT, 'ISO-8859-15');
        if ($db->v('titel') != '')		$titel[]	= htmlspecialchars($db->v('titel'), ENT_COMPAT, 'ISO-8859-15');
    endwhile;
    if (is_array($authors))  $authors_string = implode(htmlspecialchars($activeModules['Pages']['divAuthors'], ENT_COMPAT, 'ISO-8859-15'),array_flip($authors));
    if (is_array($keywords))  $keywords_string = implode(htmlspecialchars($activeModules['Pages']['divKeywords'], ENT_COMPAT, 'ISO-8859-15'),$keywords);
    if (is_array($titel))  $titel_string = implode(htmlspecialchars($activeModules['Pages']['divTitles'], ENT_COMPAT, 'ISO-8859-15'),$titel);
    if (is_array($commentary))  $commentary_string = implode(htmlspecialchars($activeModules['Pages']['divComments'], ENT_COMPAT, 'ISO-8859-15'),$commentary);
}


$query = "SELECT header, footer, css, use_rubric FROM ".$dbPrefix."_mod_pages WHERE id='0' OR id='".$cpoRubric['id']."' ORDER BY id ASC"; 
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);

$db->next_record();
    $global_header = $db->v('header');
    $global_footer = $db->v('footer');
    $global_css = $db->v('css');

$db->next_record();
    $local_header = $db->v('header');
    $local_footer = $db->v('footer');
    $local_css = $db->v('css');
    $local_use_rubric = $db->v('use_rubric');

if ($local_use_rubric > 0)  {
    $query = "SELECT header, footer, css FROM ".$dbPrefix."_mod_pages WHERE id=".$local_use_rubric; 
    DEBUG(1, $query, __FILE__, __LINE__);
    $db = new DB;
    $db->query($query);
    $db->next_record();
        $local_header = $db->v('header');
        $local_footer = $db->v('footer');
        $local_css = $db->v('css');
}

// Benutzerdefinierte Variablen laden
if ($activeModules['Pages']['custom_fields'])  {
    $fields = explode("\n", $activeModules['Pages']['custom_fields']);
    if ($activeModules['Pages']['source'] == 'individual') {
        $uservars = unserialize($cpoRubrics[addslashes($cpoRubric['id'])]['_settings']);
    }
    if ($activeModules['Pages']['source'] == 'rubric')  {
        if (!$cpoRubrics[$cpoRubric['id']]['source_rubric_id']) {
            $use_rubric_settings_id = $cpoRubric['id'];
        } else {
            $use_rubric_settings_id = $cpoRubrics[$cpoRubric['id']]['source_rubric_id'];
        }
        $uservars = unserialize($cpoRubrics[addslashes($use_rubric_settings_id)]['_settings']);
    }
    if ($activeModules['Pages']['source'] == 'page')  {
        if (!$local_use_rubric) $local_use_rubric=$cpoRubric['id'];
        $uservars = unserialize($cpoRubrics[addslashes($local_use_rubric)]['_settings']);
    }
    foreach($fields AS $field)  {
        $fieldset = explode(";", $field);
        $cpoRubricSettings[$fieldset[0]] = $uservars[$fieldset[0]];
    }
}

// CSS
if ($global_css != '' || $local_css != '')	$mod_css_string	= "<style type=\"text/css\">\n".$global_css."\n".$local_css."\n</style>\n";


?>